#pragma once

#include "CoreMinimal.h"
#include "PrestigeViewData.generated.h"

USTRUCT(BlueprintType)
struct FPrestigeViewData
{
	GENERATED_BODY()

public:
	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient)
	int32 Level;

	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient)
	float Progress;

public:
	DBDUIVIEWINTERFACES_API FPrestigeViewData();
};

FORCEINLINE uint32 GetTypeHash(const FPrestigeViewData) { return 0; }
